Subject: Re: [PATCH v2] pretty: add %(decorate[:<options>]) format

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Aug 2023 13:38:24 -0700

Andy Koppe <[email-masked]> writes:

> There are a number of uses of designated initializers already, so
> hopefully compound literals aren't too much of an extra challenge.

I do not see how one leads to the other here.  I'd prefer not to see
use of a new construct we do not currently use mixed in a new code,
even if it is mentioned in the proposed log message.

If we want to use compound literals in our codebase in the longer
term, we should first add a weatherballoon use to a very stable part
of the codebase that rarely changes, in a single patch that is
trivial to revert when a platform that matters is found to have
problem with the language construct, just like what we did when we
adopted the use of designated initializers.

Thanks.